﻿using System.CommandLine;
using MycroForge.CLI.Commands.Interfaces;
using MycroForge.CLI.Features;

namespace MycroForge.CLI.Commands;

public partial class MycroForge
{
    public partial class Add
    {
        public class Orm : Command, ISubCommandOf<Add>
        {
            public Orm(ProjectContext context, IEnumerable<IFeature> features) :
                base("orm", "Add SQLAlchemy to your project")
            {
                var feature = features.First(f => f.Name == Features.Orm.FeatureName);
                this.SetHandler(async () => await feature.ExecuteAsync(context));
            }
            
            public class Generate
            {
                
            }
        }
    }
}
